com.taosdata.jdbc

## Class TSDBResultSetBlockData

- java.lang.Object
- - com.taosdata.jdbc.TSDBResultSetBlockData

    public class TSDBResultSetBlockData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TSDBResultSetBlockData()`
`TSDBResultSetBlockData(List<ColumnMetaData> colMeta, int numOfCols)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `forward()`
`Object` `get(int col)`
`boolean` `getBoolean(int col)`
`double` `getDouble(int col)`
`int` `getInt(int col)`
`long` `getLong(int col)`
`int` `getNumOfCols()`
`int` `getNumOfRows()`
`String` `getString(int col)` The original type may not be a string type, but will be converted to by calling this method
`Timestamp` `getTimestamp(int col)`
`boolean` `hasMore()`
`void` `reset()`
`void` `setBoolean(int col, boolean value)`
`void` `setByteArray(int col, int length, byte[] value)`
`void` `setNumOfCols(int numOfCols)`
`void` `setNumOfRows(int numOfRows)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TSDBResultSetBlockData

    public TSDBResultSetBlockData(List<ColumnMetaData> colMeta,
                                  int numOfCols)

#### TSDBResultSetBlockData

    public TSDBResultSetBlockData()

### Method Detail

#### clear

    public void clear()

#### getNumOfRows

    public int getNumOfRows()

#### setNumOfRows

    public void setNumOfRows(int numOfRows)

#### getNumOfCols

    public int getNumOfCols()

#### setNumOfCols

    public void setNumOfCols(int numOfCols)

#### hasMore

    public boolean hasMore()

#### forward

    public boolean forward()

#### reset

    public void reset()

#### setBoolean

    public void setBoolean(int col,
                           boolean value)

#### setByteArray

    public void setByteArray(int col,
                             int length,
                             byte[] value)

#### getString

    public String getString(int col)
                     throws SQLException

The original type may not be a string type, but will be converted to by calling this method

Throws:
  `SQLException`

#### getInt

    public int getInt(int col)

#### getBoolean

    public boolean getBoolean(int col)
                       throws SQLException

Throws:
  `SQLException`

#### getLong

    public long getLong(int col)
                 throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int col)

#### getDouble

    public double getDouble(int col)

#### get

    public Object get(int col)